function [seqLengths, startIndexes] = calcConnSeqs(WISA_allowedfreqs)
    
    nextFreq = WISA_allowedfreqs(1)+1;
    seq_counter = 1;
    connection_counter = 1;
    tempIndexList = zeros(1, length(WISA_allowedfreqs));
    tempSeqList = zeros(1, length(WISA_allowedfreqs));
    tempIndexList(1) = 1;
    startIndex = 1;
    for i=2:length(WISA_allowedfreqs)
        if (nextFreq == WISA_allowedfreqs(i))
            connection_counter = connection_counter + 1;
            nextFreq = nextFreq + 1;
            if (i == length(WISA_allowedfreqs))
                tempIndexList(seq_counter) = startIndex;
                tempSeqList(seq_counter) = connection_counter;
            end
        else
            tempIndexList(seq_counter) = startIndex;
            startIndex = i;
            tempSeqList(seq_counter) = connection_counter;
            connection_counter = 1;
            seq_counter = seq_counter + 1;
            nextFreq = WISA_allowedfreqs(i) + 1;
            if (i == length(WISA_allowedfreqs))
                tempIndexList(seq_counter) = startIndex;
                tempSeqList(seq_counter) = connection_counter;
            end
        end
            
    end
    startIndexes = tempIndexList(1:seq_counter);
    seqLengths = tempSeqList(1:seq_counter);
    